<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.storlead.sales.mapper.finance.OrderRefundRecordMapper">

        <!-- 通用查询映射结果 -->
        <resultMap id="BaseResultMap" type="com.storlead.sales.pojo.entity.finance.OrderRefundRecordEntity" extends="com.storlead.framework.mybatis.mapper.SysBaseFieldMapper.BaseResultMap">
            <id column="id" property="id" />
            <result column="refund_code" property="refundCode" />
            <result column="refund_amount" property="refundAmount" />
            <result column="refund_method" property="refundMethod" />
            <result column="refund_date" property="refundDate" />
            <result column="customer_id" property="customerId" />
            <result column="order_id" property="orderId" />
            <result column="approve_status" property="approveStatus" />
            <result column="invoicing_type" property="invoicingType" />
            <result column="currency_unit_id" property="currencyUnitId" />
            <result column="remark" property="remark" />
        </resultMap>

        <!-- 通用查询结果列 -->
        <sql id="Base_Column_List">
                create_time,
                update_time,
                is_delete,
                enabled,
                create_by,
                owner_by,
                update_by,
                sort,
            id, refund_code, refund_amount,approve_status, refund_method, refund_date, customer_id, order_id, invoicing_type, currency_unit_id, remark
        </sql>

</mapper>
